RDKit: RDKit::atomicData Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RDKit::atomicData Class Reference

`#include <atomic_data.h>`

## Public Member Functions
| atomicData (const std::string &dataLine)
| ~atomicData ()
int | AtomicNum () const
int | DefaultValence () const
int | NumValence () const
const INT_VECT & | ValenceList () const
double | Mass () const
std::string | Symbol () const
double | Rcov () const
double | Rb0 () const
double | Rvdw () const
int | NumOuterShellElec () const
int | MostCommonIsotope () const
double | MostCommonIsotopeMass () const

## Public Attributes
std::map< unsigned int, std::pair< double, double > > | d_isotopeInfoMap

## Detailed Description

Definition at line 30 of file atomic_data.h.

## Constructor & Destructor Documentation

RDKit::atomicData::atomicData | ( | const std::string & | dataLine | ) |

RDKit::atomicData::~atomicData | ( |  | ) |
| inline

Definition at line 33 of file atomic_data.h.

## Member Function Documentation

int RDKit::atomicData::AtomicNum | ( |  | ) | const
| inline

Definition at line 35 of file atomic_data.h.

int RDKit::atomicData::DefaultValence | ( |  | ) | const
| inline

Definition at line 37 of file atomic_data.h.

double RDKit::atomicData::Mass | ( |  | ) | const
| inline

Definition at line 43 of file atomic_data.h.

int RDKit::atomicData::MostCommonIsotope | ( |  | ) | const
| inline

Definition at line 55 of file atomic_data.h.

double RDKit::atomicData::MostCommonIsotopeMass | ( |  | ) | const
| inline

Definition at line 57 of file atomic_data.h.

int RDKit::atomicData::NumOuterShellElec | ( |  | ) | const
| inline

Definition at line 53 of file atomic_data.h.

int RDKit::atomicData::NumValence | ( |  | ) | const
| inline

Definition at line 39 of file atomic_data.h.

double RDKit::atomicData::Rb0 | ( |  | ) | const
| inline

Definition at line 49 of file atomic_data.h.

double RDKit::atomicData::Rcov | ( |  | ) | const
| inline

Definition at line 47 of file atomic_data.h.

double RDKit::atomicData::Rvdw | ( |  | ) | const
| inline

Definition at line 51 of file atomic_data.h.

std::string RDKit::atomicData::Symbol | ( |  | ) | const
| inline

Definition at line 45 of file atomic_data.h.

const INT_VECT& RDKit::atomicData::ValenceList | ( |  | ) | const
| inline

Definition at line 41 of file atomic_data.h.

## Member Data Documentation

std::map<unsigned int, std::pair<double, double> > RDKit::atomicData::d_isotopeInfoMap

Definition at line 61 of file atomic_data.h.

The documentation for this class was generated from the following file:

- atomic_data.h